# Class InfoForm

java.lang.Object
org.eclipse.ui.texteditor.InfoForm

@Deprecated public class InfoForm extends Object
Deprecated.
since 3.0. there is no replacement, use org.eclipse.ui.forms to define a component with a similar look and function.
A form consisting of a title, a banner, and an info text. Banner and info text are separated by a separator line. This form must be handled like an SWT widget.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`InfoForm(Composite parent)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createActionControls(Composite parent)`
Deprecated.
`Control`
`getControl()`
Deprecated.
`protected void`
`handlePropertyChange(PropertyChangeEvent event)`
Deprecated.
`void`
`setBannerText(String banner)`
Deprecated.
`void`
`setHeaderText(String header)`
Deprecated.
`void`
`setInfo(String info)`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfoForm

@Deprecated public InfoForm(Composite parent)
Deprecated.
Creates a new info form.

Parameters:
  `parent` - the parent composite

## Method Details

### createActionControls

@Deprecated protected void createActionControls(Composite parent)
Deprecated.
Hook method for creating an appropriate action control.

Parameters:
  `parent` - the action control's parent control

### getControl

@Deprecated public Control getControl()
Deprecated.
Returns the control of this form.

Returns:
  the root control of this form

### setHeaderText

@Deprecated public void setHeaderText(String header)
Deprecated.
Sets the header text of this info form.

Parameters:
  `header` - the header text

### setBannerText

@Deprecated public void setBannerText(String banner)
Deprecated.
Sets the banner text of this info form.

Parameters:
  `banner` - the banner text

### setInfo

@Deprecated public void setInfo(String info)
Deprecated.
Sets the info of this info form

Parameters:
  `info` - the info text

### handlePropertyChange

@Deprecated protected void handlePropertyChange(PropertyChangeEvent event)
Deprecated.
Handles the property change.

Parameters:
  `event` - the property change event object describing which property changed and how